package net.pingex.discordbot;

import java.io.IOException;
import java.util.logging.Logger;

/**
 * Main Entry Point
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
public class DiscordBot
{
	private static final Logger LOGGER = Logger.getLogger(DiscordBot.class.getName());

	/**
	 * Entry point
	 * @param args Arguments passed to java
	 */
	public static void main(String[] args)
	{
		LOGGER.info("Hello World, starting up");
		loadConfigurationSubroutine();
	}

	private static void loadConfigurationSubroutine() // TODO: Configuration file passed via CLI
	{
		try
		{
			Configuration.loadConfiguration("config.ini");
		} catch (IOException e)
		{
			LOGGER.severe("Could not load Configuration, reason: " + e.getMessage());
			System.exit(10);
		}
	}
}
